!define TEST_SYSTEM {slim}
!path ../EclipseProject/target/*
| fitNesseFixture.SellerFixture |
| item | startTime | endTime | price | bidIncrement | createAuction? |
| | 10/11/2019 | 11/11/2019 | 20 | 5 | Error: item not existent |
| 1 | 11/11/2019 | 10/11/2019 | 20 | 5 | Error: date not in the right format |
| 1 | 111112019 | 10112019 | 20 | 5 | Error: date not in the right format |
| 1 | 10/11/2019 | 111112019 | 20 | 5 | Error: date not in the right format |
| 1 | 111112019 | 11/11/2019 | 20 | 5 | Error: date not in the right format |
| 1 | 10/11/2019 | 11/11/2019 | -1 | 5 | Error: price in a wrong format |
| 1 | 10/11/2019 | 11/11/2019 | 20 | 5 | true |

| fitNesseFixture.SellerFixture|
| title | description | images | category | addItem? |
| | description | 1 | 1 | Error: title not correct |
| 9999 | description | 1 | 1 | Error: title not correct |
| t-#\ | description | 1 | 1 | Error: title not correct |
| !-aaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaa
aaa-! | description | img.jpg | 1 | Error: title not correct |
| title | | 1 | 1 | Error: description not correct |
| title | 9999 | 1 | 1 | Error: description not correct |
| title | !-aaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaa-! | 1 | 1 | Error: description not correct |
| | | | | |
| | | | | |
| title | description | | 1 | Error: there are problems with the pictures, please check |
| title | description | 1 | | Error: category not correct |
| title | description | 1 | 1 | true |

| fitNesseFixture.UserFixture |
| username | email | password | userLogin? |
| | | pswrd | Error: you should provide an username or an email |
| usrname | usrmail..com | pswrd | Error: email not in the right format |
| usrname | usr@mail.com][mailto:usr@mail.com | | Error: password blank |
| usrname | usr@mail.com][mailto:usr@mail.com | wrongpswrd | Error: login invalid |
| usrname | usr@mail.com][mailto:usr@mail.com | pswrd | true |


|fitNesseFixture.UserFixture|usrname|usr!-@-!mail.com |pswrd |
|username   |email      |password   |userLogin?                     |
|           |           |pswrd      |Error: you should provide an username or an email|
|           |usrmail..com|pswrd     |Error: email not in the right format|
|usrname    |           |       |Error: password blank  |
|           |usr!-@-!mail.com|      |Error: password blank  |
|usrname    |           |wrongpswrd|Error: login invalid|
|           |usr!-@-!mail.com|wrongpswrd|Error: login invalid|
|usrname    |           |pswrd      |Login worked!  |
|           |usr!-@-!mail.com|pswrd     |Login worked!  |

| fitNesseFixture.UserFixture| | |
| title | category | searchItem? |
| | 1 | Error: title not correct |
| 9999 | 1 | Error: title not correct |
| t-#\ | 1 | Error: title not correct |
| !-aaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaa-! | 1 | Error: title not correct |
| title | | Error: category not correct |
| title | 1 | true |

| fitNesseFixture.SellerFixture |
| startTime | endTime | price | title | category | searchAuction? |
| 10/11/2019 | 11/11/2019 | 20 | | 1 | Error: title not correct |
| 10/11/2019 | 11/11/2019 | 20 | 9999 | 1 | Error: title not correct |
| 10/11/2019 | 111112019 | 20 | t-#\ | 1 | Error: title not correct |
| 10/11/2019 | 11/11/2019 | 20 | !-aaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaa-! | 1 | Error: title not correct |
| 11/11/2019 | 10/11/2019 | 20 | title | 1 | Error: date not in the right format |
| 111112019 | 10112019 | 20 | title | 1 | Error: date not in the right format |
| 10/11/2019 | 111112019 | 20 | title | 1 | Error: date not in the right format |
| 111112019 | 11/11/2019 | 20 | title | 1 | Error: date not in the right format |
| 10/11/2019 | 11/11/2019 | 20 | title | | Error: category not correct |
| 10/11/2019 | 11/11/2019 | | title | 1 | Error: price in a wrong format |
| 10/11/2019 | 11/11/2019 | 20 | title | 1 | true |

| fitNesseFixture.ItemFixture |
| title | description | category | modify? |
| | description | 1 | Error: title not correct |
| 9999 | description | 1 | Error: title not correct |
| t-#\ | description | 1 | Error: title not correct |
| !-aaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaa-! | description | 1 | Error: title not correct |
| title | | 1 | Error: description not correct |
| title | 9999 | 1 | Error: description not correct |
| title | !-aaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
aaaaaaaaaaaaaaaa-! | 1 | Error: description not correct |
| title | description | | Error: category not correct |
| title | description | 1 | true |

| fitNesseFixture.ItemFixture |
| item | picture | addPicture? |
| 1 | | Error: there are problems with the pictures, please check |
| 1 | 1 | true |

| fitNesseFixture.AuctionManagerFixture |
| value | placeBid? |
| 0 | your offer cannot be equal to zero, please try again |
| -1 | your offer cannot be a negative number, please try again |
| 0.1 | your offer cannot be a decimal number, please try again |
| 3 | true |
